## tv210s.zip

=== tvision/intl/Makefile ===
ES_FILE=es.mo

LANGUAGES=es ru pl
LANG_FILES=$(addsuffix .mo,$(LANGUAGES))

all: $(LANG_FILES)

ifeq ($(msgfmt),)
msgfmt=msgfmt
endif

ifeq ($(xgettext),)
xgettext=xgettext
endif

destmo=tvision$(shell cat ../version.txt).mo

clean:
	rm -f $(addsuffix .mo,$(LANGUAGES))

%.mo: %.po
	-$(msgfmt) -o $@ $<

languages: $(addsuffix .mo,$(LANGUAGES))

install: $(LANG_FILES)
	install -d -m 0755 $(prefix)/share/locale/es/LC_MESSAGES
	install -m 0644 $(ES_FILE) $(prefix)/share/locale/es/LC_MESSAGES/$(destmo)
	install -d -m 0755 $(prefix)/share/locale/ru/LC_MESSAGES
	install -m 0644 ru.mo $(prefix)/share/locale/ru/LC_MESSAGES/$(destmo)
	install -d -m 0755 $(prefix)/share/locale/pl/LC_MESSAGES
	install -m 0644 pl.mo $(prefix)/share/locale/pl/LC_MESSAGES/$(destmo)

tvision.po:
	$(xgettext) --default-domain=dummy --add-comments --keyword=_ \
	  --keyword=__ --directory=$(srcdir) --omit-header \
	  --add-location ../classes/*.cc ../classes/*/*.cc ../*.cc
	touch dummy.po
	cp dummy.po $@
	rm dummy.po

=== tvision/winnt/Makefile ===
# Makefile for building Turbo Vision library for Win32



# Borland C++
CC       = bcc32
LD       = bcc32
CXX      = $(CC)
INC      = -I.\include -I..\include

!ifdef DEBUG
CDEBUGFLAGS = -v -vi -y -6 -Od
!else
CDEBUGFLAGS = -O2 -6 -T -DNDEBUG
!endif

!ifdef DYNRTL
DYNRTLDFLAGS = -WR
!endif

# SET: I disabled the condition always true warning. BC++ should be more
#      cleaver about it, code like this: if (1) ... isn't wrong and is
#      obviously on purpose. GCC reports it for things like
#      if ((unsigned)a<0) which is always false and looks like an error ;-)
# Note: SAA disabled Asigned a value that is never used because BC++ is very
#       annoying about assigning a default value for a variable that is
#       assigned latter.
CFLAGS   = -D_BCPP -w-aus -w-ccc -a8 $(DYNRTLDFLAGS) -WC -X -q $(CDEBUGFLAGS)
# SET: I disabled the member x hides virtual member y because I don't
#      understand why it is reported if you know please explain me.
CXXFLAGS = -P -RT- -w-hid $(CFLAGS)
LDFLAGS   = $(DYNRTLDFLAGS) -WC

# Microsoft Visual C++
# NOTE: does not work yet
#CXX      = cl
#INC      = -I.\include\msvc -I.\include -I..\include
#CXXFLAGS = -c -TP -D_MSVC -MDd

.SUFFIXES: .cc .c .obj

TV_OBJS_ =  +beep.obj +drivevalid.obj +expandpath.obj +fexpand.obj +fileattrs.obj\
+fileexists.obj +filelength.obj +fixpath.obj +fnmatch.obj +getcurdir.obj +getline.obj\
+getopt.obj +getopt1.obj +getshell.obj +glob.obj +globfree.obj +iffilelen.obj +isdir.obj\
+isrelpath.obj +iswild.obj +itoa.obj +mkstemp.obj +nl_langinfo.obj +ntdirent.obj\
+pathvalid.obj +regex.obj +releasec.obj +snprintf.obj +ssc_streams.obj +strlwr.obj\
+strupr.obj +ticks.obj +unc.obj +unc_95.obj +unc_nt.obj +validfilename.obj +yieldpro.obj\
+calcdisp.obj +calculat.obj +codepage.obj +configfile.obj +dosdis.obj +doskey.obj\
+dosmouse.obj +dosscr.obj +drivers2.obj +dual.obj +fileview.obj +fontcoll.obj +fpbase.obj\
+fpstream.obj +help.obj +helpbase.obj +histlist.obj +ifpstrea.obj +iopstrea.obj\
+ipstream.obj +linuxdis.obj +linuxkey.obj +linuxmouse.obj +linuxscr.obj +misc.obj\
+msgbox.obj +nbackgro.obj +nbutton.obj +ncalcdis.obj +ncalcula.obj +nchdirdi.obj\
+ncheckbo.obj +nclrdisp.obj +ncluster.obj +ncollect.obj +ncolordi.obj +ncolorgr.obj\
+ncolorit.obj +ncolorse.obj +ndesktop.obj +ndialog.obj +ndircoll.obj +ndirlist.obj\
+neditor.obj +neditwi.obj +newstr.obj +nfilecol.obj +nfiledia.obj +nfiledtr.obj\
+nfileinf.obj +nfileinp.obj +nfilelis.obj +nfilterv.obj +nframe.obj +ngroup.obj\
+nhistory.obj +nindicat.obj +ninputli.obj +nlabel.obj +nlistbox.obj +nlistvie.obj\
+nlookupv.obj +nmemo.obj +nmenubar.obj +nmenubox.obj +nmenuvie.obj +nmonosel.obj\
+nparamte.obj +npxvalid.obj +nradiobu.obj +nrangeva.obj +nresourc.obj +nscrollb.obj\
+nscrolle.obj +nsortedc.obj +nsortedl.obj +nstatict.obj +nstatusl.obj +nstringc.obj\
+nstringl.obj +nvalidat.obj +nview.obj +nwindow.obj +ofpstrea.obj +opstream.obj\
+osclipboard.obj +pstream.obj +qnx4dis.obj +qnx4key.obj +qnx4mouse.obj +qnx4scr.obj\
+qnxdis.obj +qnxkey.obj +qnxmouse.obj +qnxscr.obj +rhscreen.obj +sbackgro.obj +sbutton.obj\
+scalcdis.obj +scalcula.obj +schdirdi.obj +scheckbo.obj +sclrdisp.obj +scluster.obj\
+scolordi.obj +scolorgr.obj +scolorit.obj +scolorse.obj +screen.obj +sdesktop.obj\
+sdialog.obj +sdircoll.obj +sdirlist.obj +seditor.obj +seditwin.obj +sescreen.obj\
+sfilecol.obj +sfiledia.obj +sfileedi.obj +sfileinf.obj +sfileinp.obj +sfilelis.obj\
+sfilterv.obj +sframe.obj +sgroup.obj +shistory.obj +sindicat.obj +sinputli.obj\
+slabel.obj +slistbox.obj +slistvie.obj +slookupv.obj +smemo.obj +smenubar.obj\
+smenubox.obj +smenuvie.obj +smonosel.obj +sparamte.obj +spxvalid.obj +sradiobu.obj\
+srangeva.obj +sresourc.obj +sscrollb.obj +sscrolle.obj +sstatict.obj +sstatusl.obj\
+sstringc.obj +sstringl.obj +sview.obj +swindow.obj +tapplica.obj +tbackgro.obj\
+tbutton.obj +tchdirdi.obj +tcheckbo.obj +tclrdisp.obj +tcluster.obj +tcollect.obj\
+tcolordi.obj +tcolorgr.obj +tcolorit.obj +tcolorse.obj +tcommand.obj +tdesktop.obj\
+tdialog.obj +tdircoll.obj +tdirlist.obj +tdisplay.obj +tdrawbuf.obj +teditor.obj\
+teditorf.obj +teditwin.obj +tevent.obj +tfilecol.obj +tfiledia.obj +tfileedi.obj\
+tfileinf.obj +tfileinp.obj +tfilelis.obj +tfilterv.obj +tframe.obj +tgkey.obj +tgroup.obj\
+thistory.obj +thistvie.obj +thistwin.obj +thwmouse.obj +tindicat.obj +tinputli.obj\
+tlabel.obj +tlistbox.obj +tlistvie.obj +tlookupv.obj +tmemo.obj +tmenubar.obj\
+tmenubox.obj +tmenuvie.obj +tmonosel.obj +tmouse.obj +tnscolle.obj +tnssorte.obj\
+tobject.obj +tpalette.obj +tparamte.obj +tpoint.obj +tprogini.obj +tprogram.obj\
+tpwobj.obj +tpwreado.obj +tpwritte.obj +tpxvalid.obj +tradiobu.obj +trangeva.obj\
+trescoll.obj +tresfile.obj +tscreen.obj +tscrollb.obj +tscrolle.obj +tsortedc.obj\
+tsortedl.obj +tstatict.obj +tstatusd.obj +tstatusl.obj +tstrinde.obj +tstringc.obj\
+tstringl.obj +tstrlist.obj +tstrmcla.obj +tstrmtyp.obj +tsubmenu.obj +ttermina.obj\
+ttextdev.obj +tvalidat.obj +tvedit1.obj +tvedit2.obj +tvedit3.obj +tview.obj +tvintl.obj\
+tvtext1.obj +tvtext2.obj +twindow.obj +unixdis.obj +unixkey.obj +unixmouse.obj\
+unixscr.obj     +win32clip.obj +win32dis.obj\
+win32key.obj +win32mouse.obj +win32scr.obj +wingrdis.obj +wingrkey.obj +wingrmouse.obj\
+wingrscr.obj +winntdis.obj +winntkey.obj +winntmouse.obj +winntscr.obj +x11dis.obj\
+x11key.obj +x11mouse.obj +x11src.obj +xtermdis.obj +xtermkey.obj +xtermmouse.obj\
+xtermscr.obj 
OBJS = $(TV_OBJS_:+=objs\)

all: rhtv.lib tvex.exe

rhtv.lib: $(OBJS)
	del $@
	tlib /E /P256 $@ @&&!
+$(**: = &^
+)
!

tvex.exe: objs\tvex.obj rhtv.lib
	$(CC) $(LDFLAGS) -etvex.exe objs\tvex.obj rhtv.lib

{.}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\classes}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\classes\dos}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\classes\linux}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\classes\qnxrtp}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\classes\qnx4}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\classes\unix}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\classes\x11}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\classes\win32}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\classes\wingr}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\classes\winnt}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\names}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\stream}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..}.c{objs}.obj:
	$(CC) -c $(CFLAGS) $(INC) -nobjs $<

{..\compat}.c{objs}.obj:
	$(CC) -c $(CFLAGS) $(INC) -nobjs $<

{..\compat}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

# objs\tscreen.obj: ..\classes\WinNT\tscreen.cc
# objs\tdsiplay.obj: ..\classes\WinNT\tdsiplay.cc
# objs\tfont.obj: ..\classes\WinNT\tfont.cc
# objs\thwmouse.obj: ..\classes\WinNT\thwmouse.cc

clean:
	-del objs\*.obj
	-del *.obj
	-del *.exe
	-del *.tds
	-del *.lib

=== tvision/debian/changelog ===
rhtvision (2.1.0-4) unstable; urgency=low

  * Added: Support for mouse wheel in Linux console.
  * Fixed: Some configuration issues.
  * Fixed: TFileInfoPane::draw() didn't protect a temporal buffer from
    overruns. Under some situations it could be overflowed.

 -- Salvador E. Tropea <set@ieee.org>  Tue, 29 May 2007 09:14:19 -0300

rhtvision (2.1.0-3) unstable; urgency=low

  * Added XBS-Bugs: mailto:ibaldo@adinet.com.uy fields to the control file
    so that reportbug sends bug reports to me instead of the Debian Bug
    Tracking System.
  * Bumped Standards-Version to 3.7.2.2, no changes.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Tue, 08 May 2007 16:13:42 -0300

rhtvision (2.1.0-2) unstable; urgency=low

  * No longer delete these files because they no longer exist or are deleted
    by the upstream now: linuxso/gkeyli.cc, linuxso/instlib,
    linuxso/rhide.env, linux/rhide.env, linuxso/Makefile, linuxso/compat.mak,
    intl/es_iso.mo, intl/es_iso.po, intl/es.mo, intl/ru.mo, intl/pl.mo.
  * If you want to compile with GCC 4.0.3 comment out #undef  _LIBINTL_H and
    #define _LIBINTL_H 1 in include/compatlayer.h.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Wed, 25 Jan 2006 20:21:46 -0200

rhtvision (2.1.0-1) unstable; urgency=low

  * New upstream version, still unstable so we cannot guarantee that nothing
    bad happens to your dog if you use this stuff!
  * Updated Build-Depends: added "file" (but I am not sure it is used or
    needed, dpkg-depcheck reported it though), instead
    of xlibs-dev | xlib6g-dev now it has libxmu-dev | xlibs-dev | xlib6g-dev
    and libx11-dev | xlibs-dev | xlib6g-dev, this should give backwards
    compatibility for various old Debian versions.
  * Changed Depends of rhtvision*-dev package: removed libc6-dev and
    libstdc++-dev since they are build-essential and also if someone is going
    to compile something like a hello world in C++ they should have them,
    instead of xlibs-dev | xlib6g-dev now it has libxmu-dev | xlibs-dev |
    xlib6g-dev and libx11-dev | xlibs-dev | xlib6g-dev.
  * Remove on clean the generated intl/pl.mo file (doh! come on Salvador!
    provide a complete clean target! distribution packagers shouldn't be doing
    this stuff).
  * Bumped Standards-Version to 3.6.2.0, we should rename this package
    librhtv but I don't like it too much.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Thu, 18 Aug 2005 22:50:33 -0300

rhtvision (2.0.4-1) unstable; urgency=low

  * New upstream version, this is unstable yet, beware!

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Thu, 23 Dec 2004 19:17:59 -0200

rhtvision (2.0.3-3) unstable; urgency=low

  * Salvador says this is it!, this is the version that will be officially
    released! CVS release 2.599 2004/11/02 20:06:39.
    Greetings to all my fans!!! (do I have one?) Anyway, I dedicate this
    release to Enyunari!!!

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Sun, 21 Nov 2004 16:29:07 -0200

rhtvision (2.0.3-2) unstable; urgency=low

  * With a new version of lintian it complained that we should not
    build-depend on make and gzip because the first is a build-essential
    package and the second is an essential package. 

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Tue,  5 Oct 2004 20:24:34 -0200

rhtvision (2.0.3-1) unstable; urgency=low

  * New upstream version! CVS release 2.573 2004/09/22 21:26:40.
  * Its been so long... I don't remember almost anything about Debian
    packaging; I was very quiet all this time, without doing testing releases
    and without testing developer versions. I am extremely lazy since then,
    not only for this but for many other things of life in general, my home
    computer isn't very well maintained neither and I am not very aware about
    Debian as I was before. Anyway, lets try to be a bit useful and at the
    same time thankful of this superb software.
  * Bumped Standards-Version to 3.6.1.0 (and I hope it complies!).

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Sun, 26 Sep 2004 21:12:11 -0200

rhtvision (2.0.2-1) unstable; urgency=low

  * Upstream released a new fixed version! CVS release 2.493 2003/07/30
    19:43:18 with sticky tag r2_0_2-1.
  * Upstream fixed the show-stoper bug regarding the not versioned tvision.mo
    files.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Sun, 10 Aug 2003 15:10:43 -0300

rhtvision (2.0.2-0.1) unstable; urgency=low

  * New upstream version! CVS release 2.487 2003/07/16 14:00:57.
  * Sorry for the lateness, but I am very busy now, too much work, though I
    don't regret! I finally got a good job!!!
  * Salvador did changes to the Debian packaging:
    - Don't build-depend on recode (not required anymore).
    - Added README file, it is similar to maintainer.notes.
    - Added --no-libs-here --real-prefix=/usr to ./configure.
    - If tar fails when doing the backup of files modified doing the build it
    doesn't stop the package generation, because some tar failings are due to
    files not existing or silly errors.
    - Added usr/bin directory to the -dev package, since it will contain the
    rhtv-config program.
  * Added doc/I18n.txt and doc/Streams.txt to the -dev package.
  * Now sets the flags for the compiler in the environment instead of in the
    make invocation.
  * Specify explicitly -g and -Wall compiling options.
  * Supports DEB_BUILD_OPTIONS as per Policy 3.5.7.
  * Bumped Standards-Version to 3.5.8.0 (and I hope it complies!).
  * Removed a lot of obsolete files in files_to_backup.
  * Remove on clean makes/rhide.env, redhat/librhtv-*.spec and
    makes/libtvfintl.a.
  * The debian/copyright file references the GPL license text in the
    /usr/share/common-licenses/ directory, thanks Lintian!!!
  * Remove final dots in the single line description of the packages, thanks
    Lintian!!!
  * There is a pending bug with this library which forces this to not be an
    official final release: the .mo files are called tvision.mo, thus if the
    user wants to install 2 different versions of the library, one will


=== tvision/debian/control ===
Source: rhtvision
Section: libs
Priority: optional
Maintainer: Ivan Baldo <ibaldo@adinet.com.uy>
Build-Depends: perl | perl5, libncurses-dev, libgpmg1-dev, debhelper (>=2.0.40), libx11-dev | xlibs-dev | xlib6g-dev, libxmu-dev | xlibs-dev | xlib6g-dev, gettext, file
Standards-Version: 3.7.2.2

Package: rhtvision2.1.0-dev
Architecture: any
Section: devel
Depends: rhtvision2.1.0, libncurses-dev, libgpmg1-dev, libx11-dev | xlibs-dev | xlib6g-dev, libxmu-dev | xlibs-dev | xlib6g-dev
Provides: rhtvision-dev
Conflicts: rhtvision-dev
Replaces: rhtvision-dev
XB-Bugs: mailto:ibaldo@adinet.com.uy
Description: Development files for the RHTVision library - a TUI interface
 This is the statically linked library and header files for the development
 of applications using the RHTVision library. You need to install this package
 only if you want to develop or compile programs using the RHTVision library.
 .
 THIS IS NOT AN OFFICIAL PACKAGE AND IS NOT PART OF THE DEBIAN DISTRIBUTION.

Package: rhtvision2.1.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: rhtvision1
XB-Bugs: mailto:ibaldo@adinet.com.uy
Description: The RHTVision library - TUI interface for console applications
 This is the shared library for programs using the RHTVision library.
 .
 The RHTVision library gives an intuitive and user friendly TUI (Textual User
 Interface) for programs using this library and running in a text console.
 .
 This library is based on the Turbo Vision library made by Borland Corporation.
 It was interpreted by its upstream authors that the original Turbo Vision
 library was released by Borland (now Inprise) under a Public Domain license,
 but this seems to not be true.
 .
 There's a DOS and Win32 version of this library and on GNU/Linux runs on Alpha
 and i386 processors.
 .
 THIS IS NOT AN OFFICIAL PACKAGE AND IS NOT PART OF THE DEBIAN DISTRIBUTION.

=== tvision/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

version=$(shell cat version.txt)
package=rhtvision
destdir=$(shell pwd)/debian/tmp/usr

# Uncomment this to turn on verbose mode:
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use:
export DH_COMPAT=1

# Set CFLAGS according to the Debian Policy:
CFLAGS = -D_REENTRANT -g -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
CXXFLAGS = $(CFLAGS)


# Compile the beast!:
build: build-stamp
build-stamp: debianbackup.tar
	dh_testdir
# Rename debian/rhtvision.postinst file if it exists (and others):
ifneq ($(wildcard debian/rhtvision.postinst),)
	mv debian/rhtvision.postinst debian/rhtvision$(version).postinst
	mv debian/rhtvision.postrm debian/rhtvision$(version).postrm
endif
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure \
		--prefix=$(destdir) --fhs --no-libs-here --real-prefix=/usr
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" $(MAKE)
	touch build-stamp


# Clean everything as if nothing happened :) :
clean: clean-debian debianbackup.tar
# If we don't configure there is no guarantee that we have a Makefile:
	./configure --prefix=$(destdir) --fhs --no-libs-here --real-prefix=/usr
	$(MAKE) clean
# Restore upstream provided regenerated files:
	test -e debianbackup.tar && tar -xf debianbackup.tar
	rm -f debianbackup.tar
# FIXME: ask upstream about adding the next files to his clean target:
	rm -f compat/rhide.env examples/rhide.env include/tv/configtv.h Makefile \
		makes/rhide.env redhat/librhtv-*.spec makes/libtvfintl.a
	rm -f build-stamp

# Use the following target when you just want for example to rebuild the
# package without recompiling the sources:
clean-debian:
	dh_testdir
	dh_testroot
# Rename rhtvision$(version).postinst file if it exists (and others):
ifneq ($(wildcard debian/rhtvision$(version).postinst),)
	mv debian/rhtvision$(version).postinst debian/rhtvision.postinst
	mv debian/rhtvision$(version).postrm debian/rhtvision.postrm
endif
	dh_clean

# Let's backup modified files to restore them later!:
debianbackup.tar:
	dh_testdir
# Backup upstream provided regenerated files:
	-tar -cf debianbackup.tar --files-from=debian/files_to_backup


# Copy needed files to the temporary directories for the packages:
install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs -p $(package)$(version)-dev usr/lib usr/bin \
		usr/include/$(package) usr/share/doc \
		usr/share/doc/$(package)$(version)-dev \
		usr/share/doc/$(package)$(version)-dev/examples
	dh_installdirs -p $(package)$(version) usr/lib usr/share \
		usr/share/doc/$(package)$(version) \
		usr/share/doc/$(package)$(version)/eterm
	$(MAKE) install
# We need to move files for other packages than the first one in the control file:
	dh_movefiles -p $(package)$(version) usr/lib/librhtv.so.$(version) \
		usr/share/locale/


# Build the packages for a specific architecture:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -A borland.txt copying copying.rh readme.txt \
		doc/CodePages.txt doc/ConfigFile.txt doc/Eterm.txt doc/Linux.txt \
		doc/X11.txt doc/XTerm.txt THANKS
	dh_installdocs -p $(package)$(version)-dev doc/TVReference.html \
		doc/I18n.txt doc/Streams.txt
	dh_installdocs -p $(package)$(version) extra/eterm/ debian/README.debian
	mv debian/$(package)$(version)/usr/share/doc/$(package)$(version)/README.debian \
		debian/$(package)$(version)/usr/share/doc/$(package)$(version)/README.Debian
	dh_installexamples -p $(package)$(version)-dev examples/*
	find $(destdir) debian/$(package)$(version) \
        \( -name '.cvsignore' -o -name 'CVS' -prune \) -exec rm -rf '{}' \;
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented -p $(package)$(version) rhtvision.3
	dh_installchangelogs change.log
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs -m$(version)
	dh_md5sums
	dh_builddeb


# Build architecture-independent files here.
binary-indep: build install
#This package doesn't have architecture-independent files for the moment...

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

# Build all the packages:
binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary clean-debian
